Makefile.in 28 KB

123456789101112131415161718192021222324252627282930313233343536373839404142434445464748495051525354555657585960616263646566676869707172737475767778798081828384858687888990919293949596979899100101102103104105106107108109110111112113114115116117118119120121122123124125126127128129130131132133134135136137138139140141142143144145146147148149150151152153154155156157158159160161162163164165166167168169170171172173174175176177178179180181182183184185186187188189190191192193194195196197198199200201202203204205206207208209210211212213214215216217218219220221222223224225226227228229230231232233234235236237238239240241242243244245246247248249250251252253254255256257258259260261262263264265266267268269270271272273274275276277278279280281282283284285286287288289290291292293294295296297298299300301302303304305306307308309310311312313314315316317318319320321322323324325326327328329330331332333334335336337338339340341342343344345346347348349350351352353354355356357358359360361362363364365366367368369370371372373374375376377378379380381382383384385386387388389390391392393394395396397398399400401402403404405406407408409410411412413414415416417418419420421422423424425426427428429430431432433434435436437438439440441442443444445446447448449450451452453454455456457458459460461462463464465466467468469470471472473474475476477478479480481482483484485486487488489490491492493494495496497498499500501502503504505506507508509510511512513514515516517518519520521522523524525526527528529530531532533534535536537538539540541542543544545546547548549550551552553554555556557558559560561562563564565566567568569570571572573574575576577578579580581582583584585586587588589590591592593594595596597598599600601602603604605606607608609610611612613614615616617618619620621622623624625626627628629630631632633634635636637638639640641642643644645646647648649650651652653654655656657658659660661662663664665666667668669670671672673674675676677678679680681682683684685686687688689690691692693694695696697698699700701702703704705706707708709710711712713714715716717718719720721722723724725726727728729730731732733734735736737738739740741742743744745746747748749750751752753754755756757758759760761762763764765766767768769770771772773774775776777778779780781782783784785786787788789790791792793794795796797798799800801802803804805806807808809810811812813814815816817818819820821822823824825826827828829830831832833834835836837838839840841842843844845846847848849850851852853854855856857858859860861862863864865866867868869
  1. # Makefile.in generated by automake 1.14.1 from Makefile.am.
  2. # @configure_input@
  3. # Copyright (C) 1994-2013 Free Software Foundation, Inc.
  4. # This Makefile.in is free software; the Free Software Foundation
  5. # gives unlimited permission to copy and/or distribute it,
  6. # with or without modifications, as long as this notice is preserved.
  7. # This program is distributed in the hope that it will be useful,
  8. # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
  9. # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
  10. # PARTICULAR PURPOSE.
  11. @SET_MAKE@
  12. VPATH = @srcdir@
  13. am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
  14. am__make_running_with_option = \
  15. case $${target_option-} in \
  16. ?) ;; \
  17. *) echo "am__make_running_with_option: internal error: invalid" \
  18. "target option '$${target_option-}' specified" >&2; \
  19. exit 1;; \
  20. esac; \
  21. has_opt=no; \
  22. sane_makeflags=$$MAKEFLAGS; \
  23. if $(am__is_gnu_make); then \
  24. sane_makeflags=$$MFLAGS; \
  25. else \
  26. case $$MAKEFLAGS in \
  27. *\\[\ \ ]*) \
  28. bs=\\; \
  29. sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
  30. | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
  31. esac; \
  32. fi; \
  33. skip_next=no; \
  34. strip_trailopt () \
  35. { \
  36. flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  37. }; \
  38. for flg in $$sane_makeflags; do \
  39. test $$skip_next = yes && { skip_next=no; continue; }; \
  40. case $$flg in \
  41. *=*|--*) continue;; \
  42. -*I) strip_trailopt 'I'; skip_next=yes;; \
  43. -*I?*) strip_trailopt 'I';; \
  44. -*O) strip_trailopt 'O'; skip_next=yes;; \
  45. -*O?*) strip_trailopt 'O';; \
  46. -*l) strip_trailopt 'l'; skip_next=yes;; \
  47. -*l?*) strip_trailopt 'l';; \
  48. -[dEDm]) skip_next=yes;; \
  49. -[JT]) skip_next=yes;; \
  50. esac; \
  51. case $$flg in \
  52. *$$target_option*) has_opt=yes; break;; \
  53. esac; \
  54. done; \
  55. test $$has_opt = yes
  56. am__make_dryrun = (target_option=n; $(am__make_running_with_option))
  57. am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
  58. pkgdatadir = $(datadir)/@PACKAGE@
  59. pkgincludedir = $(includedir)/@PACKAGE@
  60. pkglibdir = $(libdir)/@PACKAGE@
  61. pkglibexecdir = $(libexecdir)/@PACKAGE@
  62. am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
  63. install_sh_DATA = $(install_sh) -c -m 644
  64. install_sh_PROGRAM = $(install_sh) -c
  65. install_sh_SCRIPT = $(install_sh) -c
  66. INSTALL_HEADER = $(INSTALL_DATA)
  67. transform = $(program_transform_name)
  68. NORMAL_INSTALL = :
  69. PRE_INSTALL = :
  70. POST_INSTALL = :
  71. NORMAL_UNINSTALL = :
  72. PRE_UNINSTALL = :
  73. POST_UNINSTALL = :
  74. subdir = .
  75. DIST_COMMON = INSTALL NEWS README AUTHORS ChangeLog \
  76. $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
  77. $(top_srcdir)/configure $(am__configure_deps) \
  78. $(srcdir)/config.h.in COPYING compile depcomp install-sh \
  79. missing
  80. ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
  81. am__aclocal_m4_deps = $(top_srcdir)/configure.ac
  82. am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
  83. $(ACLOCAL_M4)
  84. am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
  85. configure.lineno config.status.lineno
  86. mkinstalldirs = $(install_sh) -d
  87. CONFIG_HEADER = config.h
  88. CONFIG_CLEAN_FILES =
  89. CONFIG_CLEAN_VPATH_FILES =
  90. AM_V_P = $(am__v_P_@AM_V@)
  91. am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
  92. am__v_P_0 = false
  93. am__v_P_1 = :
  94. AM_V_GEN = $(am__v_GEN_@AM_V@)
  95. am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
  96. am__v_GEN_0 = @echo " GEN " $@;
  97. am__v_GEN_1 =
  98. AM_V_at = $(am__v_at_@AM_V@)
  99. am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
  100. am__v_at_0 = @
  101. am__v_at_1 =
  102. SOURCES =
  103. DIST_SOURCES =
  104. RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
  105. ctags-recursive dvi-recursive html-recursive info-recursive \
  106. install-data-recursive install-dvi-recursive \
  107. install-exec-recursive install-html-recursive \
  108. install-info-recursive install-pdf-recursive \
  109. install-ps-recursive install-recursive installcheck-recursive \
  110. installdirs-recursive pdf-recursive ps-recursive \
  111. tags-recursive uninstall-recursive
  112. am__can_run_installinfo = \
  113. case $$AM_UPDATE_INFO_DIR in \
  114. n|no|NO) false;; \
  115. *) (install-info --version) >/dev/null 2>&1;; \
  116. esac
  117. am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
  118. am__vpath_adj = case $$p in \
  119. $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
  120. *) f=$$p;; \
  121. esac;
  122. am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
  123. am__install_max = 40
  124. am__nobase_strip_setup = \
  125. srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
  126. am__nobase_strip = \
  127. for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
  128. am__nobase_list = $(am__nobase_strip_setup); \
  129. for p in $$list; do echo "$$p $$p"; done | \
  130. sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  131. $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
  132. if (++n[$$2] == $(am__install_max)) \
  133. { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
  134. END { for (dir in files) print dir, files[dir] }'
  135. am__base_list = \
  136. sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  137. sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
  138. am__uninstall_files_from_dir = { \
  139. test -z "$$files" \
  140. || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
  141. || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
  142. $(am__cd) "$$dir" && rm -f $$files; }; \
  143. }
  144. man1dir = $(mandir)/man1
  145. am__installdirs = "$(DESTDIR)$(man1dir)" "$(DESTDIR)$(schemadir)"
  146. NROFF = nroff
  147. MANS = $(man1_MANS)
  148. DATA = $(schema_DATA)
  149. RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
  150. distclean-recursive maintainer-clean-recursive
  151. am__recursive_targets = \
  152. $(RECURSIVE_TARGETS) \
  153. $(RECURSIVE_CLEAN_TARGETS) \
  154. $(am__extra_recursive_targets)
  155. AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
  156. cscope distdir dist dist-all distcheck
  157. am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) \
  158. $(LISP)config.h.in
  159. # Read a list of newline-separated strings from the standard input,
  160. # and print each of them once, without duplicates. Input order is
  161. # *not* preserved.
  162. am__uniquify_input = $(AWK) '\
  163. BEGIN { nonempty = 0; } \
  164. { items[$$0] = 1; nonempty = 1; } \
  165. END { if (nonempty) { for (i in items) print i; }; } \
  166. '
  167. # Make sure the list of sources is unique. This is necessary because,
  168. # e.g., the same source file might be shared among _SOURCES variables
  169. # for different programs/libraries.
  170. am__define_uniq_tagged_files = \
  171. list='$(am__tagged_files)'; \
  172. unique=`for i in $$list; do \
  173. if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  174. done | $(am__uniquify_input)`
  175. ETAGS = etags
  176. CTAGS = ctags
  177. CSCOPE = cscope
  178. DIST_SUBDIRS = $(SUBDIRS)
  179. DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
  180. distdir = $(PACKAGE)-$(VERSION)
  181. top_distdir = $(distdir)
  182. am__remove_distdir = \
  183. if test -d "$(distdir)"; then \
  184. find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
  185. && rm -rf "$(distdir)" \
  186. || { sleep 5 && rm -rf "$(distdir)"; }; \
  187. else :; fi
  188. am__post_remove_distdir = $(am__remove_distdir)
  189. am__relativize = \
  190. dir0=`pwd`; \
  191. sed_first='s,^\([^/]*\)/.*$$,\1,'; \
  192. sed_rest='s,^[^/]*/*,,'; \
  193. sed_last='s,^.*/\([^/]*\)$$,\1,'; \
  194. sed_butlast='s,/*[^/]*$$,,'; \
  195. while test -n "$$dir1"; do \
  196. first=`echo "$$dir1" | sed -e "$$sed_first"`; \
  197. if test "$$first" != "."; then \
  198. if test "$$first" = ".."; then \
  199. dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
  200. dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
  201. else \
  202. first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
  203. if test "$$first2" = "$$first"; then \
  204. dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
  205. else \
  206. dir2="../$$dir2"; \
  207. fi; \
  208. dir0="$$dir0"/"$$first"; \
  209. fi; \
  210. fi; \
  211. dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
  212. done; \
  213. reldir="$$dir2"
  214. DIST_ARCHIVES = $(distdir).tar.gz
  215. GZIP_ENV = --best
  216. DIST_TARGETS = dist-gzip
  217. distuninstallcheck_listfiles = find . -type f -print
  218. am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
  219. | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
  220. distcleancheck_listfiles = find . -type f -print
  221. ACLOCAL = @ACLOCAL@
  222. AMTAR = @AMTAR@
  223. AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
  224. AUTOCONF = @AUTOCONF@
  225. AUTOHEADER = @AUTOHEADER@
  226. AUTOMAKE = @AUTOMAKE@
  227. AWK = @AWK@
  228. CC = @CC@
  229. CCDEPMODE = @CCDEPMODE@
  230. CFLAGS = @CFLAGS@
  231. CPPFLAGS = @CPPFLAGS@
  232. CYGPATH_W = @CYGPATH_W@
  233. DEFS = @DEFS@
  234. DEPDIR = @DEPDIR@
  235. ECHO_C = @ECHO_C@
  236. ECHO_N = @ECHO_N@
  237. ECHO_T = @ECHO_T@
  238. EXEEXT = @EXEEXT@
  239. GCONFTOOL = @GCONFTOOL@
  240. GCONF_SCHEMA_CONFIG_SOURCE = @GCONF_SCHEMA_CONFIG_SOURCE@
  241. GCONF_SCHEMA_FILE_DIR = @GCONF_SCHEMA_FILE_DIR@
  242. INSTALL = @INSTALL@
  243. INSTALL_DATA = @INSTALL_DATA@
  244. INSTALL_PROGRAM = @INSTALL_PROGRAM@
  245. INSTALL_SCRIPT = @INSTALL_SCRIPT@
  246. INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
  247. LDFLAGS = @LDFLAGS@
  248. LIBOBJS = @LIBOBJS@
  249. LIBS = @LIBS@
  250. LTLIBOBJS = @LTLIBOBJS@
  251. MAKEINFO = @MAKEINFO@
  252. MKDIR_P = @MKDIR_P@
  253. MSSH_CFLAGS = @MSSH_CFLAGS@
  254. MSSH_LIBS = @MSSH_LIBS@
  255. OBJEXT = @OBJEXT@
  256. PACKAGE = @PACKAGE@
  257. PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
  258. PACKAGE_NAME = @PACKAGE_NAME@
  259. PACKAGE_STRING = @PACKAGE_STRING@
  260. PACKAGE_TARNAME = @PACKAGE_TARNAME@
  261. PACKAGE_URL = @PACKAGE_URL@
  262. PACKAGE_VERSION = @PACKAGE_VERSION@
  263. PATH_SEPARATOR = @PATH_SEPARATOR@
  264. PKG_CONFIG = @PKG_CONFIG@
  265. PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
  266. PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
  267. SET_MAKE = @SET_MAKE@
  268. SHELL = @SHELL@
  269. STRIP = @STRIP@
  270. VERSION = @VERSION@
  271. abs_builddir = @abs_builddir@
  272. abs_srcdir = @abs_srcdir@
  273. abs_top_builddir = @abs_top_builddir@
  274. abs_top_srcdir = @abs_top_srcdir@
  275. ac_ct_CC = @ac_ct_CC@
  276. am__include = @am__include@
  277. am__leading_dot = @am__leading_dot@
  278. am__quote = @am__quote@
  279. am__tar = @am__tar@
  280. am__untar = @am__untar@
  281. bindir = @bindir@
  282. build_alias = @build_alias@
  283. builddir = @builddir@
  284. datadir = @datadir@
  285. datarootdir = @datarootdir@
  286. docdir = @docdir@
  287. dvidir = @dvidir@
  288. exec_prefix = @exec_prefix@
  289. host_alias = @host_alias@
  290. htmldir = @htmldir@
  291. includedir = @includedir@
  292. infodir = @infodir@
  293. install_sh = @install_sh@
  294. libdir = @libdir@
  295. libexecdir = @libexecdir@
  296. localedir = @localedir@
  297. localstatedir = @localstatedir@
  298. mandir = @mandir@
  299. mkdir_p = @mkdir_p@
  300. oldincludedir = @oldincludedir@
  301. pdfdir = @pdfdir@
  302. prefix = @prefix@
  303. program_transform_name = @program_transform_name@
  304. psdir = @psdir@
  305. sbindir = @sbindir@
  306. sharedstatedir = @sharedstatedir@
  307. srcdir = @srcdir@
  308. sysconfdir = @sysconfdir@
  309. target_alias = @target_alias@
  310. top_build_prefix = @top_build_prefix@
  311. top_builddir = @top_builddir@
  312. top_srcdir = @top_srcdir@
  313. SUBDIRS = src
  314. EXTRA_DIST = mssh.schemas mssh_clusters.conf
  315. SCHEMAS_FILE = mssh.schemas
  316. schemadir = $(GCONF_SCHEMA_FILE_DIR)
  317. schema_DATA = $(SCHEMAS_FILE)
  318. man1_MANS = mssh.1
  319. all: config.h
  320. $(MAKE) $(AM_MAKEFLAGS) all-recursive
  321. .SUFFIXES:
  322. am--refresh: Makefile
  323. @:
  324. $(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
  325. @for dep in $?; do \
  326. case '$(am__configure_deps)' in \
  327. *$$dep*) \
  328. echo ' cd $(srcdir) && $(AUTOMAKE) --gnu'; \
  329. $(am__cd) $(srcdir) && $(AUTOMAKE) --gnu \
  330. && exit 0; \
  331. exit 1;; \
  332. esac; \
  333. done; \
  334. echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile'; \
  335. $(am__cd) $(top_srcdir) && \
  336. $(AUTOMAKE) --gnu Makefile
  337. .PRECIOUS: Makefile
  338. Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  339. @case '$?' in \
  340. *config.status*) \
  341. echo ' $(SHELL) ./config.status'; \
  342. $(SHELL) ./config.status;; \
  343. *) \
  344. echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
  345. cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
  346. esac;
  347. $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  348. $(SHELL) ./config.status --recheck
  349. $(top_srcdir)/configure: $(am__configure_deps)
  350. $(am__cd) $(srcdir) && $(AUTOCONF)
  351. $(ACLOCAL_M4): $(am__aclocal_m4_deps)
  352. $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
  353. $(am__aclocal_m4_deps):
  354. config.h: stamp-h1
  355. @test -f $@ || rm -f stamp-h1
  356. @test -f $@ || $(MAKE) $(AM_MAKEFLAGS) stamp-h1
  357. stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
  358. @rm -f stamp-h1
  359. cd $(top_builddir) && $(SHELL) ./config.status config.h
  360. $(srcdir)/config.h.in: $(am__configure_deps)
  361. ($(am__cd) $(top_srcdir) && $(AUTOHEADER))
  362. rm -f stamp-h1
  363. touch $@
  364. distclean-hdr:
  365. -rm -f config.h stamp-h1
  366. install-man1: $(man1_MANS)
  367. @$(NORMAL_INSTALL)
  368. @list1='$(man1_MANS)'; \
  369. list2=''; \
  370. test -n "$(man1dir)" \
  371. && test -n "`echo $$list1$$list2`" \
  372. || exit 0; \
  373. echo " $(MKDIR_P) '$(DESTDIR)$(man1dir)'"; \
  374. $(MKDIR_P) "$(DESTDIR)$(man1dir)" || exit 1; \
  375. { for i in $$list1; do echo "$$i"; done; \
  376. if test -n "$$list2"; then \
  377. for i in $$list2; do echo "$$i"; done \
  378. | sed -n '/\.1[a-z]*$$/p'; \
  379. fi; \
  380. } | while read p; do \
  381. if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
  382. echo "$$d$$p"; echo "$$p"; \
  383. done | \
  384. sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
  385. -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
  386. sed 'N;N;s,\n, ,g' | { \
  387. list=; while read file base inst; do \
  388. if test "$$base" = "$$inst"; then list="$$list $$file"; else \
  389. echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man1dir)/$$inst'"; \
  390. $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man1dir)/$$inst" || exit $$?; \
  391. fi; \
  392. done; \
  393. for i in $$list; do echo "$$i"; done | $(am__base_list) | \
  394. while read files; do \
  395. test -z "$$files" || { \
  396. echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man1dir)'"; \
  397. $(INSTALL_DATA) $$files "$(DESTDIR)$(man1dir)" || exit $$?; }; \
  398. done; }
  399. uninstall-man1:
  400. @$(NORMAL_UNINSTALL)
  401. @list='$(man1_MANS)'; test -n "$(man1dir)" || exit 0; \
  402. files=`{ for i in $$list; do echo "$$i"; done; \
  403. } | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
  404. -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
  405. dir='$(DESTDIR)$(man1dir)'; $(am__uninstall_files_from_dir)
  406. install-schemaDATA: $(schema_DATA)
  407. @$(NORMAL_INSTALL)
  408. @list='$(schema_DATA)'; test -n "$(schemadir)" || list=; \
  409. if test -n "$$list"; then \
  410. echo " $(MKDIR_P) '$(DESTDIR)$(schemadir)'"; \
  411. $(MKDIR_P) "$(DESTDIR)$(schemadir)" || exit 1; \
  412. fi; \
  413. for p in $$list; do \
  414. if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
  415. echo "$$d$$p"; \
  416. done | $(am__base_list) | \
  417. while read files; do \
  418. echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(schemadir)'"; \
  419. $(INSTALL_DATA) $$files "$(DESTDIR)$(schemadir)" || exit $$?; \
  420. done
  421. uninstall-schemaDATA:
  422. @$(NORMAL_UNINSTALL)
  423. @list='$(schema_DATA)'; test -n "$(schemadir)" || list=; \
  424. files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
  425. dir='$(DESTDIR)$(schemadir)'; $(am__uninstall_files_from_dir)
  426. # This directory's subdirectories are mostly independent; you can cd
  427. # into them and run 'make' without going through this Makefile.
  428. # To change the values of 'make' variables: instead of editing Makefiles,
  429. # (1) if the variable is set in 'config.status', edit 'config.status'
  430. # (which will cause the Makefiles to be regenerated when you run 'make');
  431. # (2) otherwise, pass the desired values on the 'make' command line.
  432. $(am__recursive_targets):
  433. @fail=; \
  434. if $(am__make_keepgoing); then \
  435. failcom='fail=yes'; \
  436. else \
  437. failcom='exit 1'; \
  438. fi; \
  439. dot_seen=no; \
  440. target=`echo $@ | sed s/-recursive//`; \
  441. case "$@" in \
  442. distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
  443. *) list='$(SUBDIRS)' ;; \
  444. esac; \
  445. for subdir in $$list; do \
  446. echo "Making $$target in $$subdir"; \
  447. if test "$$subdir" = "."; then \
  448. dot_seen=yes; \
  449. local_target="$$target-am"; \
  450. else \
  451. local_target="$$target"; \
  452. fi; \
  453. ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
  454. || eval $$failcom; \
  455. done; \
  456. if test "$$dot_seen" = "no"; then \
  457. $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
  458. fi; test -z "$$fail"
  459. ID: $(am__tagged_files)
  460. $(am__define_uniq_tagged_files); mkid -fID $$unique
  461. tags: tags-recursive
  462. TAGS: tags
  463. tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  464. set x; \
  465. here=`pwd`; \
  466. if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
  467. include_option=--etags-include; \
  468. empty_fix=.; \
  469. else \
  470. include_option=--include; \
  471. empty_fix=; \
  472. fi; \
  473. list='$(SUBDIRS)'; for subdir in $$list; do \
  474. if test "$$subdir" = .; then :; else \
  475. test ! -f $$subdir/TAGS || \
  476. set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
  477. fi; \
  478. done; \
  479. $(am__define_uniq_tagged_files); \
  480. shift; \
  481. if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
  482. test -n "$$unique" || unique=$$empty_fix; \
  483. if test $$# -gt 0; then \
  484. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  485. "$$@" $$unique; \
  486. else \
  487. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  488. $$unique; \
  489. fi; \
  490. fi
  491. ctags: ctags-recursive
  492. CTAGS: ctags
  493. ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  494. $(am__define_uniq_tagged_files); \
  495. test -z "$(CTAGS_ARGS)$$unique" \
  496. || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  497. $$unique
  498. GTAGS:
  499. here=`$(am__cd) $(top_builddir) && pwd` \
  500. && $(am__cd) $(top_srcdir) \
  501. && gtags -i $(GTAGS_ARGS) "$$here"
  502. cscope: cscope.files
  503. test ! -s cscope.files \
  504. || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
  505. clean-cscope:
  506. -rm -f cscope.files
  507. cscope.files: clean-cscope cscopelist
  508. cscopelist: cscopelist-recursive
  509. cscopelist-am: $(am__tagged_files)
  510. list='$(am__tagged_files)'; \
  511. case "$(srcdir)" in \
  512. [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
  513. *) sdir=$(subdir)/$(srcdir) ;; \
  514. esac; \
  515. for i in $$list; do \
  516. if test -f "$$i"; then \
  517. echo "$(subdir)/$$i"; \
  518. else \
  519. echo "$$sdir/$$i"; \
  520. fi; \
  521. done >> $(top_builddir)/cscope.files
  522. distclean-tags:
  523. -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  524. -rm -f cscope.out cscope.in.out cscope.po.out cscope.files
  525. distdir: $(DISTFILES)
  526. $(am__remove_distdir)
  527. test -d "$(distdir)" || mkdir "$(distdir)"
  528. @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  529. topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  530. list='$(DISTFILES)'; \
  531. dist_files=`for file in $$list; do echo $$file; done | \
  532. sed -e "s|^$$srcdirstrip/||;t" \
  533. -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
  534. case $$dist_files in \
  535. */*) $(MKDIR_P) `echo "$$dist_files" | \
  536. sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
  537. sort -u` ;; \
  538. esac; \
  539. for file in $$dist_files; do \
  540. if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
  541. if test -d $$d/$$file; then \
  542. dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
  543. if test -d "$(distdir)/$$file"; then \
  544. find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  545. fi; \
  546. if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  547. cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
  548. find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  549. fi; \
  550. cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
  551. else \
  552. test -f "$(distdir)/$$file" \
  553. || cp -p $$d/$$file "$(distdir)/$$file" \
  554. || exit 1; \
  555. fi; \
  556. done
  557. @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
  558. if test "$$subdir" = .; then :; else \
  559. $(am__make_dryrun) \
  560. || test -d "$(distdir)/$$subdir" \
  561. || $(MKDIR_P) "$(distdir)/$$subdir" \
  562. || exit 1; \
  563. dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
  564. $(am__relativize); \
  565. new_distdir=$$reldir; \
  566. dir1=$$subdir; dir2="$(top_distdir)"; \
  567. $(am__relativize); \
  568. new_top_distdir=$$reldir; \
  569. echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
  570. echo " am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
  571. ($(am__cd) $$subdir && \
  572. $(MAKE) $(AM_MAKEFLAGS) \
  573. top_distdir="$$new_top_distdir" \
  574. distdir="$$new_distdir" \
  575. am__remove_distdir=: \
  576. am__skip_length_check=: \
  577. am__skip_mode_fix=: \
  578. distdir) \
  579. || exit 1; \
  580. fi; \
  581. done
  582. -test -n "$(am__skip_mode_fix)" \
  583. || find "$(distdir)" -type d ! -perm -755 \
  584. -exec chmod u+rwx,go+rx {} \; -o \
  585. ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
  586. ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
  587. ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
  588. || chmod -R a+r "$(distdir)"
  589. dist-gzip: distdir
  590. tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
  591. $(am__post_remove_distdir)
  592. dist-bzip2: distdir
  593. tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
  594. $(am__post_remove_distdir)
  595. dist-lzip: distdir
  596. tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
  597. $(am__post_remove_distdir)
  598. dist-xz: distdir
  599. tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
  600. $(am__post_remove_distdir)
  601. dist-tarZ: distdir
  602. @echo WARNING: "Support for shar distribution archives is" \
  603. "deprecated." >&2
  604. @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
  605. tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
  606. $(am__post_remove_distdir)
  607. dist-shar: distdir
  608. @echo WARNING: "Support for distribution archives compressed with" \
  609. "legacy program 'compress' is deprecated." >&2
  610. @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
  611. shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
  612. $(am__post_remove_distdir)
  613. dist-zip: distdir
  614. -rm -f $(distdir).zip
  615. zip -rq $(distdir).zip $(distdir)
  616. $(am__post_remove_distdir)
  617. dist dist-all:
  618. $(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
  619. $(am__post_remove_distdir)
  620. # This target untars the dist file and tries a VPATH configuration. Then
  621. # it guarantees that the distribution is self-contained by making another
  622. # tarfile.
  623. distcheck: dist
  624. case '$(DIST_ARCHIVES)' in \
  625. *.tar.gz*) \
  626. GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
  627. *.tar.bz2*) \
  628. bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
  629. *.tar.lz*) \
  630. lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
  631. *.tar.xz*) \
  632. xz -dc $(distdir).tar.xz | $(am__untar) ;;\
  633. *.tar.Z*) \
  634. uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
  635. *.shar.gz*) \
  636. GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
  637. *.zip*) \
  638. unzip $(distdir).zip ;;\
  639. esac
  640. chmod -R a-w $(distdir)
  641. chmod u+w $(distdir)
  642. mkdir $(distdir)/_build $(distdir)/_inst
  643. chmod a-w $(distdir)
  644. test -d $(distdir)/_build || exit 0; \
  645. dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
  646. && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
  647. && am__cwd=`pwd` \
  648. && $(am__cd) $(distdir)/_build \
  649. && ../configure \
  650. $(AM_DISTCHECK_CONFIGURE_FLAGS) \
  651. $(DISTCHECK_CONFIGURE_FLAGS) \
  652. --srcdir=.. --prefix="$$dc_install_base" \
  653. && $(MAKE) $(AM_MAKEFLAGS) \
  654. && $(MAKE) $(AM_MAKEFLAGS) dvi \
  655. && $(MAKE) $(AM_MAKEFLAGS) check \
  656. && $(MAKE) $(AM_MAKEFLAGS) install \
  657. && $(MAKE) $(AM_MAKEFLAGS) installcheck \
  658. && $(MAKE) $(AM_MAKEFLAGS) uninstall \
  659. && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
  660. distuninstallcheck \
  661. && chmod -R a-w "$$dc_install_base" \
  662. && ({ \
  663. (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
  664. && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
  665. && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
  666. && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
  667. distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
  668. } || { rm -rf "$$dc_destdir"; exit 1; }) \
  669. && rm -rf "$$dc_destdir" \
  670. && $(MAKE) $(AM_MAKEFLAGS) dist \
  671. && rm -rf $(DIST_ARCHIVES) \
  672. && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
  673. && cd "$$am__cwd" \
  674. || exit 1
  675. $(am__post_remove_distdir)
  676. @(echo "$(distdir) archives ready for distribution: "; \
  677. list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
  678. sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
  679. distuninstallcheck:
  680. @test -n '$(distuninstallcheck_dir)' || { \
  681. echo 'ERROR: trying to run $@ with an empty' \
  682. '$$(distuninstallcheck_dir)' >&2; \
  683. exit 1; \
  684. }; \
  685. $(am__cd) '$(distuninstallcheck_dir)' || { \
  686. echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
  687. exit 1; \
  688. }; \
  689. test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
  690. || { echo "ERROR: files left after uninstall:" ; \
  691. if test -n "$(DESTDIR)"; then \
  692. echo " (check DESTDIR support)"; \
  693. fi ; \
  694. $(distuninstallcheck_listfiles) ; \
  695. exit 1; } >&2
  696. distcleancheck: distclean
  697. @if test '$(srcdir)' = . ; then \
  698. echo "ERROR: distcleancheck can only run from a VPATH build" ; \
  699. exit 1 ; \
  700. fi
  701. @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
  702. || { echo "ERROR: files left in build directory after distclean:" ; \
  703. $(distcleancheck_listfiles) ; \
  704. exit 1; } >&2
  705. check-am: all-am
  706. check: check-recursive
  707. all-am: Makefile $(MANS) $(DATA) config.h
  708. installdirs: installdirs-recursive
  709. installdirs-am:
  710. for dir in "$(DESTDIR)$(man1dir)" "$(DESTDIR)$(schemadir)"; do \
  711. test -z "$$dir" || $(MKDIR_P) "$$dir"; \
  712. done
  713. install: install-recursive
  714. install-exec: install-exec-recursive
  715. install-data: install-data-recursive
  716. uninstall: uninstall-recursive
  717. install-am: all-am
  718. @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
  719. installcheck: installcheck-recursive
  720. install-strip:
  721. if test -z '$(STRIP)'; then \
  722. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  723. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  724. install; \
  725. else \
  726. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  727. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  728. "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
  729. fi
  730. mostlyclean-generic:
  731. clean-generic:
  732. distclean-generic:
  733. -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
  734. -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
  735. maintainer-clean-generic:
  736. @echo "This command is intended for maintainers to use"
  737. @echo "it deletes files that may require special tools to rebuild."
  738. @GCONF_SCHEMAS_INSTALL_FALSE@install-data-local:
  739. clean: clean-recursive
  740. clean-am: clean-generic mostlyclean-am
  741. distclean: distclean-recursive
  742. -rm -f $(am__CONFIG_DISTCLEAN_FILES)
  743. -rm -f Makefile
  744. distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
  745. dvi: dvi-recursive
  746. dvi-am:
  747. html: html-recursive
  748. html-am:
  749. info: info-recursive
  750. info-am:
  751. install-data-am: install-data-local install-man install-schemaDATA
  752. install-dvi: install-dvi-recursive
  753. install-dvi-am:
  754. install-exec-am:
  755. install-html: install-html-recursive
  756. install-html-am:
  757. install-info: install-info-recursive
  758. install-info-am:
  759. install-man: install-man1
  760. install-pdf: install-pdf-recursive
  761. install-pdf-am:
  762. install-ps: install-ps-recursive
  763. install-ps-am:
  764. installcheck-am:
  765. maintainer-clean: maintainer-clean-recursive
  766. -rm -f $(am__CONFIG_DISTCLEAN_FILES)
  767. -rm -rf $(top_srcdir)/autom4te.cache
  768. -rm -f Makefile
  769. maintainer-clean-am: distclean-am maintainer-clean-generic
  770. mostlyclean: mostlyclean-recursive
  771. mostlyclean-am: mostlyclean-generic
  772. pdf: pdf-recursive
  773. pdf-am:
  774. ps: ps-recursive
  775. ps-am:
  776. uninstall-am: uninstall-man uninstall-schemaDATA
  777. uninstall-man: uninstall-man1
  778. .MAKE: $(am__recursive_targets) all install-am install-strip
  779. .PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
  780. am--refresh check check-am clean clean-cscope clean-generic \
  781. cscope cscopelist-am ctags ctags-am dist dist-all dist-bzip2 \
  782. dist-gzip dist-lzip dist-shar dist-tarZ dist-xz dist-zip \
  783. distcheck distclean distclean-generic distclean-hdr \
  784. distclean-tags distcleancheck distdir distuninstallcheck dvi \
  785. dvi-am html html-am info info-am install install-am \
  786. install-data install-data-am install-data-local install-dvi \
  787. install-dvi-am install-exec install-exec-am install-html \
  788. install-html-am install-info install-info-am install-man \
  789. install-man1 install-pdf install-pdf-am install-ps \
  790. install-ps-am install-schemaDATA install-strip installcheck \
  791. installcheck-am installdirs installdirs-am maintainer-clean \
  792. maintainer-clean-generic mostlyclean mostlyclean-generic pdf \
  793. pdf-am ps ps-am tags tags-am uninstall uninstall-am \
  794. uninstall-man uninstall-man1 uninstall-schemaDATA
  795. @GCONF_SCHEMAS_INSTALL_TRUE@install-data-local:
  796. @GCONF_SCHEMAS_INSTALL_TRUE@ GCONF_CONFIG_SOURCE=$(GCONF_SCHEMA_CONFIG_SOURCE) $(GCONFTOOL) --makefile-install-rule $(top_builddir)/$(schema_DATA)
  797. # Tell versions [3.59,3.63) of GNU make to not export all variables.
  798. # Otherwise a system limit (for SysV at least) may be exceeded.
  799. .NOEXPORT: